Update a collection by its ID
curl --request PUT \
--url https://api.mn.co/admin/v1/networks/{network_id}/collections/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Collection",
"description": "Updated description",
"visible_to_members": true
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/collections/{id}/"
payload = {
"name": "Updated Collection",
"description": "Updated description",
"visible_to_members": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Collection',
description: 'Updated description',
visible_to_members: true
})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/collections/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234",
"created_at": "2026-09-04T21:33:14+00:00",
"updated_at": "2026-09-04T21:33:14+00:00",
"name": "<string>",
"visible_to_members": true,
"position": 123,
"explorable": true,
"description": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Collections
Update a collection by its ID
PUT
/
admin
/
v1
/
networks
/
{network_id}
/
collections
/
{id}
/
Update a collection by its ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the collection to update
The Network's unique integer ID, or subdomain Unique numeric network ID
Body
application/json
Submit results as JSON
Response
The updated collection object
A collection of spaces within a Network
The record's integer ID
Example:
"1234"
The date and time the record was created
Example:
"2026-09-04T21:33:14+00:00"
The date and time the record was last modified
Example:
"2026-09-04T21:33:14+00:00"
The collection's name
Whether the collection is visible to members
The display position of the collection
Whether the collection contains discoverable spaces or promoted plan
The collection's description